Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class AdvisedClassFilterExpressionVisitor

    java.lang.Object
      org.codehaus.aspectwerkz.expression.ExpressionVisitor
          org.codehaus.aspectwerkz.expression.AdvisedClassFilterExpressionVisitor

All Implemented Interfaces:
  ExpressionParserVisitor

    public class AdvisedClassFilterExpressionVisitor

extends ExpressionVisitor
implements ExpressionParserVisitor

The advised class filter visitor.

Visit() methods are returning Boolean.TRUE/FALSE or null when decision cannot be taken. Using null allow composition of OR/AND with NOT in the best way.

Author:
  Jonas BonŽr , Alexandre Vasseur , Michael Nascimento, Alex Popescu

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.expression.ExpressionVisitor
`m_expression, m_expressionInfo, m_namespace, m_root`

Constructor Summary
`AdvisedClassFilterExpressionVisitor(ExpressionInfo expressionInfo, String expression, String namespace, Node root)` Creates a new expression.

Method Summary
`String` | `toString()` Returns the string representation of the AST.
`Object` | `visit(ASTArgParameter node, Object data)`
`Object` | `visit(ASTArgs node, Object data)`
`Object` | `visit(ASTAttribute node, Object data)`
`Object` | `visit(ASTCall node, Object data)`
`Object` | `visit(ASTCflowBelow node, Object data)`
`Object` | `visit(ASTCflow node, Object data)`
`Object` | `visit(ASTConstructorPattern node, Object data)`
`Object` | `visit(ASTExecution node, Object data)`
`Object` | `visit(ASTExpression node, Object data)`
`Object` | `visit(ASTFieldPattern node, Object data)`
`Object` | `visit(ASTGet node, Object data)`
`Object` | `visit(ASTHandler node, Object data)`
`Object` | `visit(ASTMethodPattern node, Object data)`
`Object` | `visit(ASTModifier node, Object data)`
`Object` | `visit(ASTNot node, Object data)`
`Object` | `visit(ASTParameter node, Object data)`
`Object` | `visit(ASTPointcutReference node, Object data)`
`Object` | `visit(ASTRoot node, Object data)`
`Object` | `visit(ASTSet node, Object data)`
`Object` | `visit(ASTStaticInitialization node, Object data)`
`Object` | `visit(ASTTarget node, Object data)`
`Object` | `visit(ASTThis node, Object data)`
`Object` | `visit(ASTWithinCode node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Methods inherited from class org.codehaus.aspectwerkz.expression.ExpressionVisitor
`getASTRoot, getExpressionInfo, match, matchUndeterministic, visit, visit, visit, visit, visit, visit, visit, visitAnnotatedNode, visitAttributes, visitModifiers, visitParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.aspectwerkz.expression.ast.ExpressionParserVisitor
`visit, visit, visit, visit, visit, visit`

Constructor Detail

### AdvisedClassFilterExpressionVisitor

    public AdvisedClassFilterExpressionVisitor(ExpressionInfo expressionInfo,
                                               String expression,
                                               String namespace,
                                               Node root)

  Creates a new expression.

  Parameters:
    `expression` - the expression as a string
    `namespace` - the namespace
    `root` - the AST root

Method Detail

### visit

    public Object visit(SimpleNode node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTRoot node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTExpression node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTNot node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTPointcutReference node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTExecution node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTCall node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTSet node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTGet node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTHandler node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTStaticInitialization node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTWithinCode node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTCflow node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTCflowBelow node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTArgs node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTTarget node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTThis node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTMethodPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTConstructorPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTFieldPattern node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTParameter node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTArgParameter node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTAttribute node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### visit

    public Object visit(ASTModifier node,
                        Object data)

  Specified by:
    `visit` in interface `ExpressionParserVisitor`
  Overrides:
    `visit` in class `ExpressionVisitor`

### toString

    public String toString()

  Returns the string representation of the AST.

  Overrides:
    `toString` in class `ExpressionVisitor`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.